# This file created by conda-build 3.10.5
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/4f7d3be5-236d-48d6-5596-8b7d5bf35ff9/volume/rsync-recipes/sqlalchemy-1.2.8-python_3.6-on-osx, last modified Thu May 31 19:30:43 2018
# ------------------------------------------------

package:
    name: sqlalchemy
    version: 1.2.8
source:
    sha256: 2d5f08f714a886a1382c18be501e614bce50d362384dc089474019ce0768151c
    url: https://pypi.io/packages/source/S/SQLAlchemy/SQLAlchemy-1.2.8.tar.gz
build:
    number: '0'
    script: python -m pip install --no-deps --ignore-installed .
    string: py36h1de35cc_0
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py36_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - ncurses 6.1 h0a44026_0
        - openssl 1.0.2o h26aff7b_0
        - pip 10.0.1 py36_0
        - python 3.6.5 hc167b69_1
        - readline 7.0 hc1231fa_4
        - setuptools 39.2.0 py36_0
        - sqlite 3.23.1 hf1716c9_0
        - tk 8.6.7 h35a86e2_3
        - wheel 0.31.1 py36_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - python >=3.6,<3.7.0a0
test:
    imports:
        - sqlalchemy
        - sqlalchemy.connectors
        - sqlalchemy.databases
        - sqlalchemy.dialects
        - sqlalchemy.dialects.firebird
        - sqlalchemy.dialects.mssql
        - sqlalchemy.dialects.mysql
        - sqlalchemy.dialects.oracle
        - sqlalchemy.dialects.postgresql
        - sqlalchemy.dialects.sqlite
        - sqlalchemy.dialects.sybase
        - sqlalchemy.engine
        - sqlalchemy.event
        - sqlalchemy.ext
        - sqlalchemy.ext.declarative
        - sqlalchemy.orm
        - sqlalchemy.sql
        - sqlalchemy.testing
        - sqlalchemy.testing.plugin
        - sqlalchemy.util
about:
    description: 'SQLAlchemy is the Python SQL toolkit and Object Relational Mapper
        that

        gives application developers the full power and flexibility of SQL.

        '
    dev_url: https://bitbucket.org/zzzeek/sqlalchemy/
    doc_source_url: https://github.com/zzzeek/sqlalchemy/blob/master/doc/build/index.rst
    doc_url: http://docs.sqlalchemy.org/en/rel_1_0/
    home: http://www.sqlalchemy.org/
    license: MIT
    license_file: LICENSE
    summary: Database Abstraction Library.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - igortg
        - mcs07
        - nehaljwani
        - ocefpaf
